Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.ess
Class ESSCertIDv2

    java.lang.Object
      org.bouncycastle.asn1.ASN1Encodable
          org.bouncycastle.asn1.ess.ESSCertIDv2

All Implemented Interfaces:
  DEREncodable

    public class ESSCertIDv2

extends ASN1Encodable

Field Summary

Fields inherited from class org.bouncycastle.asn1.ASN1Encodable
`BER, DER`

Constructor Summary
`ESSCertIDv2(AlgorithmIdentifier algId, byte[] certHash)`
`ESSCertIDv2(AlgorithmIdentifier algId, byte[] certHash, IssuerSerial issuerSerial)`
`ESSCertIDv2(ASN1Sequence seq)`

Method Summary
`byte[]` | `getCertHash()`
`AlgorithmIdentifier` | `getHashAlgorithm()`
`static ESSCertIDv2` | `getInstance(java.lang.Object o)`
`IssuerSerial` | `getIssuerSerial()`
`DERObject` | `toASN1Object()` ESSCertIDv2 ::= SEQUENCE { hashAlgorithm AlgorithmIdentifier DEFAULT {algorithm id-sha256}, certHash Hash, issuerSerial IssuerSerial OPTIONAL } Hash ::= OCTET STRING IssuerSerial ::= SEQUENCE { issuer GeneralNames, serialNumber CertificateSerialNumber }

Methods inherited from class org.bouncycastle.asn1.ASN1Encodable
`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ESSCertIDv2

    public ESSCertIDv2(ASN1Sequence seq)

### ESSCertIDv2

    public ESSCertIDv2(AlgorithmIdentifier algId,
                       byte[] certHash)

### ESSCertIDv2

    public ESSCertIDv2(AlgorithmIdentifier algId,
                       byte[] certHash,
                       IssuerSerial issuerSerial)

Method Detail

### getInstance

    public static ESSCertIDv2 getInstance(java.lang.Object o)

### getHashAlgorithm

    public AlgorithmIdentifier getHashAlgorithm()

### getCertHash

    public byte[] getCertHash()

### getIssuerSerial

    public IssuerSerial getIssuerSerial()

### toASN1Object

    public DERObject toASN1Object()

       ESSCertIDv2 ::=  SEQUENCE {
           hashAlgorithm     AlgorithmIdentifier
                    DEFAULT {algorithm id-sha256},
           certHash          Hash,
           issuerSerial      IssuerSerial OPTIONAL
       }

       Hash ::= OCTET STRING

       IssuerSerial ::= SEQUENCE {
           issuer         GeneralNames,
           serialNumber   CertificateSerialNumber
       }

  Specified by:
    `toASN1Object` in class `ASN1Encodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD